import { InputType } from '@nestjs/graphql';
import { WorkUnitMetadata } from '../../pipeline-tasks/models/work-unit-metadata.model';
import {
  IsObject,
  IsOptional,
  IsString,
  IsUUID,
  MaxLength,
} from 'class-validator';

@InputType({ isAbstract: true })
export class CreatePipelineInput {
  @IsUUID()
  projectId: string;

  @IsString()
  @MaxLength(100)
  branch: string;

  @IsString()
  @MaxLength(32)
  name: string;

  @IsOptional()
  @IsObject()
  workUnitMetadata: WorkUnitMetadata;
}
