import { Module } from '@nestjs/common';
import { PipelinesResolver } from './pipelines.resolver';
import { PipelinesService } from './pipelines.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Pipeline } from './pipeline.entity';
import { BullModule } from '@nestjs/bull';
import { LIST_LOGS_TASK } from '../repos/repos.constants';

@Module({
  imports: [
    TypeOrmModule.forFeature([Pipeline]),
    BullModule.registerQueue({
      name: LIST_LOGS_TASK,
    }),
  ],
  providers: [PipelinesResolver, PipelinesService],
})
export class PipelinesModule {}
